2024-05-18 22:12 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002919Enemy2[All Projects] Generalpublic2014-02-19 20:36
ReporterIrek 
Assigned ToWeplProject InfoEnemy 2 - Missing in Action (Anachronia)
http://www.whdload.de/games/Enemy2.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Summary0002919: Hallo, Das Spiel stürzt in weiteren Levels mit einem Fehler ab. Es passiert
DescriptionGameVersion: german,pal,2 disks
SlaveVersion: 1.0 from 07.01.2013


Hallo,
Das Spiel stürzt in weiteren Levels mit einem Fehler ab. Es passiert meistens, wenn man die Hauptfigur zu schnell nach vorne bewegt. Ich hatte einige Abstürze in Level 28, es passiert an verschiedenen Stellen. Das WHDLoad Registerfile befindet sich unten.
************************ 11-Jan-14 19:57:45 ************************17.2.5386***
Slave='Enemy2.Slave' (4672 bytes)
ShadowMem 682EB370 - 68356370 ( 438272) AbsolutMem    6B000 -    88000 ( 118784)
Resload   6BED6000 - 6BEDD950 (  31056) at 6BED6000  GL=$6BFF3000
Slave     6BFFC000 - 6BFFD21C (   4636) at 6BFFC000  BaseMemSize=$88000
ExpMem    6BEDF000 - 6BFF2000 (1126400) at 6BEDF000
attn=7F(40,82) fc=-1 kn=10371 cs=2AA2 rw=0 zpt=-1 ep=0 ei=0
setcpu=3B3D(SS,BC,SB,DC,IC,SCB,ECB,BNC)
Exception "Access Fault" ($7008) PC = $6BF8DD5A (Task 'Initial CLI', ExpMem
$AED5A) Byte Read from $EBFB84B5
$6bf8dd34 add.l        d0,d0
$6bf8dd36 move.b       ($16,a2),d1                    ;$6bfbab0e
$6bf8dd3a ext.w        d1
$6bf8dd3c ext.l        d1
$6bf8dd3e add.l        d1,d0
$6bf8dd40 subq.l       #1,d0
$6bf8dd42 lsr.l        #1,d0
$6bf8dd44 move.l       d0,-(a7)                       ;$6bf74d52
$6bf8dd46 move.b       ($a,a2),d0                     ;$6bfbab02
$6bf8dd4a ext.w        d0
$6bf8dd4c muls         #$a,d0
$6bf8dd50 move.l       (a7)+,d1                       ;$6bf74d52
$6bf8dd52 add.l        d0,d1
$6bf8dd54 lea          ($6bfb8498),a0
$6bf8dd5a move.b       (0,a0,d1.l),($17,a2)           ;$ebfb84b5 $6bfbab0f
$6bf8dd60 move.b       #$ff,($19,a2)                  ;$6bfbab11
$6bf8dd66 move.b       #$ff,($1a,a2)                  ;$6bfbab12
$6bf8dd6c clr.b        ($1b,a2)                       ;$6bfbab13
$6bf8dd70 clr.b        ($1c,a2)                       ;$6bfbab14
$6bf8dd74 tst.b        ($39,a3)                       ;$6bfb8931
$6bf8dd78 beq.w        $6bf8ddaa
$6bf8dd7c cmpi.b       #2,($2d,a3)                    ;$6bfb8925
$6bf8dd82 bne.w        $6bf8dda6
$6bf8dd86 move.l       ($a,a3),a6                     ;$6bfb8902
$6bf8dd8a btst         #1,($f,a3)                     ;$6bfb8907
$6bf8dd90 beq.w        $6bf8dda6
$6bf8dd94 tst.b        (a6)                           ;$6bf5fb00
$6bf8dd96 bne.w        $6bf8dda6
$6bf8dd9a move.b       #5,($1c,a2)                    ;$6bfbab14
exception stackframe:
$6BF6153C 000A6BF8 DD5A7008 6BF74D5E 05210001 00210021 EBFB84B5 6BF74D4E 7FFFFFFF
$6BF6155C 00000003 00000000 0000000C 0006A108 00000000 00006BFB 161C006C
regular stack:
$6BF74D52 00000000 6BFB88F8 6BFBAAF8 6BF5FB00 6BF8DB8E 6BFB88F8 6BFBAAF8 FFFFFFFF
$6BF74D72 FFFFFFFF 6BFB88F8 00000000 6BF8D9A4 6BFB88F8 FFFFFFFF FFFFFFFF 0000FFFF
$6BF74D92 6BFB8598 6BFA53EE 00000000 00000000 6BFA19B4 00000000 00000001 FFFFFF9C
$6BF74DB2 00000000 00000001 00000001 6BFB8598 6BFB8598 6BFA17CE 6BFB8598 00000001
$6BF74DD2 00000000 00000000 00000000 00000001 00000002 00000000 00001D9D 00000002
  ----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6---- ----7----
Dx       1E  8000001D      FFFF      FEC0  FFFF0000         4         0         1
Ax 6BFB8498         0  6BFBAAF8  6BFB88F8  6BFBC5BE  6BF74E98  6BF5FB00
                 TTSM III   XNZVC
PC=6BF8DD5A  SR %0000000000001010  USP=6BF74D52  ISP=6BF6153C  MSP=87800
VBR=6BFF4000  SFC=5  DFC=1  CACR=80008000  
TC=8000  URP=6BED4000  SRP=6BED4000  MMUSR=00000000
DTT0=00000000  DTT1=00000000  ITT0=00000000  ITT1=00000000
         MEDRAAAABVCPSDT          YZ  PMRCBSDAAAA
intena=%0110000100101100 dmacon=%0000001111110011 adkcon=$1100
intreq=%0000011011000000
vposr....A300  vhposr...0296  joy0dat..0301  joy1dat..8CDF  clxdat...8023  
pot0dat..0000  pot1dat..0000  potinp...5500  serdatr..3BFF  dskbytr..A000  
deniseid.00F8  hhposr...FF26  
   ciaa:     PI ROPS		   ciab:     PI ROPS
    cra=00000000  ta=21FF<21FF	   cra=00000000  ta=FFFF<FFFF
        AII ROPS			    AII ROPS
    crb=00000001  tb=A945<FFFF	   crb=10000000  tb=FFFF<FFFF
        10RTWCLO	  parallel	    DRCCDSOY      M3210HDS
    pra=11111110  prb=11111111      pra=11111111  prb=11111111
       ddra=00000011 ddrb=00000000     ddra=11000000 ddrb=11111111
       event=01E9FB  icr=00  sdr=CC    event=00013A  icr=04  sdr=00
************************* 11-Jan-14 20:04:15 ************************17.2.5386***
Slave='Enemy2.Slave' (4672 bytes)
ShadowMem 682C6A18 - 68331A18 ( 438272) AbsolutMem    6B000 -    88000 ( 118784)
Resload   6BED6000 - 6BEDD950 (  31056) at 6BED6000  GL=$6BFF3000
Slave     6BFFC000 - 6BFFD21C (   4636) at 6BFFC000  BaseMemSize=$88000
ExpMem    6BEDF000 - 6BFF2000 (1126400) at 6BEDF000
attn=7F(40,82) fc=-1 kn=10371 cs=2AA2 rw=0 zpt=-1 ep=0 ei=0
setcpu=3B3D(SS,BC,SB,DC,IC,SCB,ECB,BNC)
Exception "Access Fault" ($7008) PC = $6BF8DD5A (Task 'Initial CLI', ExpMem
$AED5A) Byte Read from $EBFB84B5
$6bf8dd34 add.l        d0,d0
$6bf8dd36 move.b       ($16,a2),d1                    ;$6bfba72e
$6bf8dd3a ext.w        d1
$6bf8dd3c ext.l        d1
$6bf8dd3e add.l        d1,d0
$6bf8dd40 subq.l       #1,d0
$6bf8dd42 lsr.l        #1,d0
$6bf8dd44 move.l       d0,-(a7)                       ;$6bf74d52
$6bf8dd46 move.b       ($a,a2),d0                     ;$6bfba722
$6bf8dd4a ext.w        d0
$6bf8dd4c muls         #$a,d0
$6bf8dd50 move.l       (a7)+,d1                       ;$6bf74d52
$6bf8dd52 add.l        d0,d1
$6bf8dd54 lea          ($6bfb8498),a0
$6bf8dd5a move.b       (0,a0,d1.l),($17,a2)           ;$ebfb84b5 $6bfba72f
$6bf8dd60 move.b       #$ff,($19,a2)                  ;$6bfba731
$6bf8dd66 move.b       #$ff,($1a,a2)                  ;$6bfba732
$6bf8dd6c clr.b        ($1b,a2)                       ;$6bfba733
$6bf8dd70 clr.b        ($1c,a2)                       ;$6bfba734
$6bf8dd74 tst.b        ($39,a3)                       ;$6bfb89f1
$6bf8dd78 beq.w        $6bf8ddaa
$6bf8dd7c cmpi.b       #2,($2d,a3)                    ;$6bfb89e5
$6bf8dd82 bne.w        $6bf8dda6
$6bf8dd86 move.l       ($a,a3),a6                     ;$6bfb89c2
$6bf8dd8a btst         #1,($f,a3)                     ;$6bfb89c7
$6bf8dd90 beq.w        $6bf8dda6
$6bf8dd94 tst.b        (a6)                           ;$6bf5fb00
$6bf8dd96 bne.w        $6bf8dda6
$6bf8dd9a move.b       #5,($1c,a2)                    ;$6bfba734
exception stackframe:
$6BF6153C 000A6BF8 DD5A7008 6BF74D5E 05210001 00210021 EBFB84B5 6BF74D4E 7FFFFFFF
$6BF6155C 00000003 00000000 0000000C 0006A108 00000000 00006BFB 161C006C
regular stack:
$6BF74D52 00000000 6BFB89B8 6BFBA718 6BF5FB00 6BF8DB8E 6BFB89B8 6BFBA718 FFFFFFFF
$6BF74D72 FFFFFFFF 6BFB89B8 00000000 6BF8D9A4 6BFB89B8 FFFFFFFF FFFFFFFF 0000FFFF
$6BF74D92 6BFB8598 6BFA53EE 00000000 00000000 6BFA19B4 00000000 00000001 FFFFFF9C
$6BF74DB2 00000000 00000001 00000001 6BFB8598 6BFB8598 6BFA17CE 6BFB8598 00000001
$6BF74DD2 00000000 00000000 00000000 00000001 00000002 00000000 00007DF4 00000002
  ----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6---- ----7----
Dx       1E  8000001D      FFFF      FEC0  FFFF0000         4         0         1
Ax 6BFB8498  6BFB8E42  6BFBA718  6BFB89B8  6BFBC5BE  6BF74E98  6BF5FB00
                 TTSM III   XNZVC
PC=6BF8DD5A  SR %0000000000001010  USP=6BF74D52  ISP=6BF6153C  MSP=87800
VBR=6BFF4000  SFC=5  DFC=1  CACR=80008000  
TC=8000  URP=6BED4000  SRP=6BED4000  MMUSR=00000000
DTT0=00000000  DTT1=00000000  ITT0=00000000  ITT1=00000000
         MEDRAAAABVCPSDT          YZ  PMRCBSDAAAA
intena=%0110000000101100 dmacon=%0000001111110001 adkcon=$1100
intreq=%0000011111000000
vposr....A300  vhposr...0299  joy0dat..0300  joy1dat..18FB  clxdat...8023  
pot0dat..0000  pot1dat..0000  potinp...5500  serdatr..3BFF  dskbytr..A000  
deniseid.00F8  hhposr...FF29  
   ciaa:     PI ROPS		   ciab:     PI ROPS
    cra=00000000  ta=21FF<21FF	   cra=00000000  ta=FFFF<FFFF
        AII ROPS			    AII ROPS
    crb=00000001  tb=99B3<FFFF	   crb=10000000  tb=FFFF<FFFF
        10RTWCLO	  parallel	    DRCCDSOY      M3210HDS
    pra=11111110  prb=11111111      pra=11111111  prb=11111111
       ddra=00000011 ddrb=00000000     ddra=11000000 ddrb=11111111
       event=00401A  icr=00  sdr=76    event=00013A  icr=04  sdr=00
TagsNo tags attached.
MachineA1200
CPU68040
CPUSpeed25
ChipSetAGA
GFXCardNone
ChipMem2 MB
FastMem64 MB
WorkbenchOS 3.9
KickROM40 - Kick 3.1
KickSoftNone
WHDLoad17.2
importedyes
Attached Files

-Relationships
+Relationships

-Notes

note ~0003675

Wepl (manager)

can you please try if the attached slaves fixes that problem?

note ~0003677

Irek (reporter)

Thanks for the new update.
Now the game smoothly runs, but it crashes sometimes in the same level and the same room. (3 and 4) - see the attachment.
After that, I tried the game with a few tooltypes, and with NOMMU option works the game so far without problems.;)

*************************19-Jan-1410:59:10************************17.2.5386***
Slave='Enemy2.Slave' (4800 bytes)
ShadowMem 682EADC0 - 68355DC0 ( 438272) AbsolutMem 6B000 - 88000 (
118784)
Resload 6BED6000 - 6BEDD950 ( 31056) at 6BED6000 GL=$6BFF3000
Slave 6BFFC000 - 6BFFD29C ( 4764) at 6BFFC000 BaseMemSize=$88000
ExpMem 6BEDF000 - 6BFF2000 (1126400) at 6BEDF000
attn=7F(40,82) fc=-1 kn=10371 cs=2AA2 rw=0 zpt=-1 ep=0 ei=0
setcpu=3B3D(SS,BC,SB,DC,IC,SCB,ECB,BNC) DbgSeg(FirstHunkStart)=6BF76C18

Exception "Access Fault" ($7008) PC = $6BF8DD5A (Task 'Initial CLI', DbgSeg
$17142) Byte Read from $EBFB84B5

$6bf8dd32 ext.l d0
$6bf8dd34 add.l d0,d0
$6bf8dd36 move.b ($16,a2),d1 ;$6bfba72e
$6bf8dd3a ext.w d1
$6bf8dd3c ext.l d1
$6bf8dd3e add.l d1,d0
$6bf8dd40 subq.l #1,d0
$6bf8dd42 lsr.l #1,d0
$6bf8dd44 move.l d0,-(a7) ;$6bf74d52
$6bf8dd46 move.b ($a,a2),d0 ;$6bfba722
$6bf8dd4a jsr ($6bffd20a)
$6bf8dd50 move.l (a7)+,d1 ;$6bf74d52
$6bf8dd52 add.l d0,d1
$6bf8dd54 lea ($6bfb8498),a0
$6bf8dd5a move.b (0,a0,d1.l),($17,a2) ;$ebfb84b5
$6bfba72f
$6bf8dd60 move.b #$ff,($19,a2) ;$6bfba731
$6bf8dd66 move.b #$ff,($1a,a2) ;$6bfba732
$6bf8dd6c clr.b ($1b,a2) ;$6bfba733
$6bf8dd70 clr.b ($1c,a2) ;$6bfba734
$6bf8dd74 tst.b ($39,a3) ;$6bfb89f1
$6bf8dd78 beq.w $6bf8ddaa
$6bf8dd7c cmpi.b #2,($2d,a3) ;$6bfb89e5
$6bf8dd82 bne.w $6bf8dda6
$6bf8dd86 move.l ($a,a3),a6 ;$6bfb89c2
$6bf8dd8a btst #1,($f,a3) ;$6bfb89c7
$6bf8dd90 beq.w $6bf8dda6
$6bf8dd94 tst.b (a6) ;$6bf5fb00
$6bf8dd96 bne.w $6bf8dda6
$6bf8dd9a move.b #5,($1c,a2) ;$6bfba734

exception stackframe:
$6BF6153C 000A6BF8 DD5A7008 6BF74D5E 05210001 00210021 EBFB84B5 6BF74D4A
6BF8DD50
$6BF6155C 6BFB1A0A 00000004 00000000 00000017 6BFBB258 00096BF8 B8F60070
regular stack:
$6BF74D52 00000000 6BFB89B8 6BFBA718 6BF5FB00 6BF8DB8E 6BFB89B8 6BFBA718
FFFFFFFF
$6BF74D72 FFFFFFFF 6BFB89B8 00000000 6BF8D9A4 6BFB89B8 FFFFFFFF FFFFFFFF
0000FFFF
$6BF74D92 6BFB8598 6BFA53EE 00000000 00000000 6BFA19B4 00000000 00000001
FFFFFF9C
$6BF74DB2 00000000 00000001 00000001 6BFB8598 6BFB8598 6BFA17CE 6BFB8598
00000001
$6BF74DD2 00000000 00000000 00000000 00000001 00000002 00000000 00002111
00000002

----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6----
----7----
Dx 1E 8000001D FFFF FEC0 FFFF0000 4 0
1
Ax 6BFB8498 0 6BFBA718 6BFB89B8 6BFBC5BE 6BF74E98 6BF5FB00

TTSM III XNZVC
PC=6BF8DD5A SR %0000000000001010 USP=6BF74D52 ISP=6BF6153C
MSP=87800
VBR=6BFF4000 SFC=5 DFC=1 CACR=80008000
TC=8000 URP=6BED4000 SRP=6BED4000 MMUSR=00000000
DTT0=00000000 DTT1=00000000 ITT0=00000000 ITT1=00000000

MEDRAAAABVCPSDT YZ PMRCBSDAAAA
intena=%0110001000101100 dmacon=%0000001111110101 adkcon=$1100
intreq=%0000010111000000
vposr....A300 vhposr...0296 joy0dat..0300 joy1dat..18FF clxdat...8023
pot0dat..0000 pot1dat..0000 potinp...5500 serdatr..3BFF dskbytr..A000
deniseid.00F8 hhposr...FF25
ciaa: PI ROPS ciab: PI ROPS
cra=00000000 ta=21FF<21FF cra=00000000
ta=FFFF<FFFF
AII ROPS AII ROPS
crb=00000001 tb=F7C9<FFFF crb=10000000
tb=FFFF<FFFF
10RTWCLO parallel DRCCDSOY M3210HDS
pra=11111110 prb=11111111 pra=11111111
prb=11111111
ddra=00000011 ddrb=00000000 ddra=11000000
ddrb=11111111
event=006310 icr=00 sdr=30 event=00013A icr=04 sdr=00

note ~0003723

Irek (reporter)

Any news about this one? ;)

As I have already said, the NOMMU option solves the problems on my setup.

note ~0003725

Wepl (manager)

Sorry, did not yet find time to check this problem. Will do as soon as possible.

note ~0003736

Wepl (manager)

Can you please try the attached slave?

note ~0003740

Irek (reporter)

Just tested it, and the game works without problems now on my setup. Thanks! :)

note ~0003743

Wepl (manager)

new install package has been released
+Notes

-Issue History
Date Modified Username Field Change
2014-01-12 19:00 administrator New Issue
2014-01-12 19:00 administrator Status new => assigned
2014-01-12 19:00 administrator Assigned To => Wepl
2014-01-18 16:53 Wepl File Added: Enemy2.Slave
2014-01-18 16:53 Wepl Note Added: 0003675
2014-01-19 12:58 Irek Note Added: 0003677
2014-02-14 19:00 Irek Note Added: 0003723
2014-02-15 18:12 Wepl Note Added: 0003725
2014-02-16 23:04 Wepl File Deleted: Enemy2.Slave
2014-02-16 23:05 Wepl File Added: Enemy2.Slave
2014-02-16 23:05 Wepl Note Added: 0003736
2014-02-18 18:35 Irek Note Added: 0003740
2014-02-19 20:36 Wepl Note Added: 0003743
2014-02-19 20:36 Wepl Status assigned => closed
2014-02-19 20:36 Wepl Resolution open => fixed
+Issue History